Skip to main content

Delete Auto Scaling Group

Permanently deletes an auto scaling group. All of the group's running nodes are terminated and the group is removed - the action cannot be undone. Use the group id returned by List. On success the API returns code: 204 with an empty data object.

DELETE/api/v1/scaler/scalegroups/{scaler_id}

Path parameters

  • scaler_idPathintegerrequired

    The id of the auto scaling group to delete, as returned by List.

    • required
    • must be a valid auto scaling group ID
    example12345

Query parameters

  • project_idQueryintegerrequired

    Identifier of the project to scope the request to. Required integer project ID.

    • required
    • must be a valid integer project ID
    example{{project_id}}
  • apikeyQuerystringrequired

    API key used to authenticate the delete request.

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringrequired

    Region of the group being deleted.

    • required
    • must be a valid region name (e.g., Delhi, Chennai)
    example{{location}}

Responses

200Successful response
object

Deletion confirmation. The group and all its nodes have been removed.

codeinteger
example204
dataobject
errorsobject
messagestring
exampleSuccess